DCMTK - Feature #1162

Enable users to adjust the handling of character sets in dcmdata
2025-06-30 17:50 - Marco Eichelberg

Status: New Start date: 2025-06-30
Priority: Normal Due date:

Assignee: Jorg Riesmeier % Done: 60%
Category: Library Estimated time: 0:00 hour
Target version: 3.7.0

Module: dcmdata Compiler:

Operating System:

Description

Extend decmdata's APIls such that users can provide their own character set conversion code in a class derived from
DcmSpecificCharacterSet.

This would involve (at least) making Dcmltem::updateSpecificCharacterSet() virtual and public, and making all (relevant) functions of
DcmSpecificCharacterSet virtual.

Suggested 2025-06-30 by Mathieu Malaterre <mathieu.malaterre@gmail.com>.

History

#1 - 2025-07-02 15:18 - Jorg Riesmeier
- Assignee set to Jérg Riesmeier
- Target version set to 3.7.0

- % Done changed from 0 to 60

Partly closed with commit ab8944c9d.
